classification
Title: 'checking getaddrinfo bug' doesn't output the result during ./configure
Type: behavior Stage:
Components: Installation Versions: Python 3.1, Python 3.2, Python 2.7, Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Arfrever, BreamoreBoy, benjamin.peterson, ezio.melotti
Priority: low Keywords: patch

Created on 2009-10-05 00:51 by ezio.melotti, last changed 2010-11-01 01:44 by benjamin.peterson. This issue is now closed.

Files
File name Uploaded Description Edit
python-configure-getaddrinfo.patch Arfrever, 2010-11-01 01:16 Patch for configure.in
Messages (4)
msg93568 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2009-10-05 00:51
This is what I see while running ./configure on both trunk and py3k, on
Linux:
checking for major... yes
checking for getaddrinfo... yes
checking getaddrinfo bug... checking for getnameinfo... yes
checking whether time.h and sys/time.h may both be included... yes

the yes/no after 'checking getaddrinfo bug...' is missing.
FWIW that bit of code is at the line 20225, but I couldn't figure out
how to fix it.
msg116574 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-09-16 16:38
Is this still a problem on Linux?
msg120102 - (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) * (Python triager) Date: 2010-11-01 01:16
The attached patch fixes output of `configure`.
msg120103 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2010-11-01 01:44
r86075
History
Date User Action Args
2010-11-01 01:44:45benjamin.petersonsetstatus: open -> closed
resolution: fixed
messages: + msg120103
2010-11-01 01:16:33Arfreversetfiles: + python-configure-getaddrinfo.patch

nosy: + Arfrever, benjamin.peterson
messages: + msg120102

keywords: + patch
2010-09-16 16:38:40BreamoreBoysetnosy: + BreamoreBoy
messages: + msg116574
2009-10-05 00:52:00ezio.melotticreate